Upgrade R

I’m using Ubuntu Oneiric and R 2.13 (check your version using the command: lsb_release -a).

Now I need to upgrade R to the latest version to be able to install the package lhs.

In the file:

sudo nano /etc/apt/sources.list

I added the line:

deb http://cran.ma.imperial.ac.uk/bin/linux/ubuntu oneiric/

(here the complete list of cran mirrors)

and saved it.

Then in terminal:

sudo apt-get update
sudo apt-get install r-base
sudo apt-get install r-base-dev

The first time you install a package in R 2.15, it asks: “Would you like to use a personal library?”, type y and then just copy all the packages

from ~/R/x86_64-pc-linux-gnu-library/2.13 to ~/R/x86_64-pc-linux-gnu-library/2.15

Advertisements

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s